################################################################################
#  Exemple of section 2.4.1                                                    #
#  Reference: Everitt (1994), The Handbook of Statistical Analysis Using Splus,# 
#  Chapman & Hall                                                              #
################################################################################


IQ<-c(103,124,124,104,96,92,124,99,92,116,99,22,81,117,100,
89,125,127,112,48, 139,118,107,106,129,117,123,118,84,117,101,141,124,110,
98,109,120,127,103,118,117,115,119,117,92,101,119,
144,119,127,113,127,103,128,86,112,115,117,99,110,139,117,
96,111,118,126,126,89,102,134,
93,115,99,99,122,106,124,100,114,121,119,108,110,127,118,107,123,102,110,
114,118,101,121,114)

state.mother<-c(0,0,0,0,1,rep(0,6),1,1,0,1,rep(0,7),1,0,1,rep(0,3),1,0,1,rep(0,29)
,1,rep(0,2),1,rep(0,8),1,rep(0,13),rep(1,2),rep(0,3),rep(1,2),0)

BP.score<-c(4,12,9,3,3,3,6,4,3,9,11,17,6,7,10,11,9,9,5,9,2,8,5,0,4,5,2,4,10,2,6,
4,7,7,3,9,10,6,6,5,5,7,4,4,7,10,2,3,5,7,7,2,3,8,7,10,4,11,3,4,6,4,5,5,4,11,2,10,
4,5,5,1,13,8,0,5,1,4,7,1,5,4,10,4,2,3,2,5,6,4,2,7,6,2)

IQ0=IQ[state.mother ==0]
IQ1=IQ[state.mother ==1 ]

t.test(IQ0,IQ1, var.equal=T)
# p=0.0156

#2 outliers removed

IQ0b=IQ0[-16]

IQ1b=IQ1[-2]

t.test(IQ0b,IQ1b, var.equal=T)

# p=0.07


#
#       ##############
#       # Figure 2.4 #
#       ##############
#
 

pval=NULL
pval.wilcox=NULL
for(i in 0:80){
  IQ1[2]=20+i
  pval=c(pval,t.test(IQ0,IQ1, var.equal=T)$p.value)
  pval.wilcox=c(pval.wilcox,wilcox.test(IQ0,IQ1)$p.value)
}

length(pval)
length(seq(20,100,1))
plot(seq(20,100,1),pval,type="l",ylab=c("p-value"),
xlab=c("Case 2 IQ - group of depressed mothers"),ylim=c(0,.12),lty=2)
lines(seq(20,100,1),pval.wilcox,lty=3)
abline(h=0.05, lty=1)
IQ1[2]=22
pval=t.test(IQ0,IQ1, var.equal=T)$p.value
pval.wilcox=wilcox.test(IQ0,IQ1)$p.value
lines(22,pval,type="p",pch=4)
lines(22,pval.wilcox,type="p",pch=6)
text(20,0.01,"original p-value (t-test)",pos=4)
text(20,0.065,"original  p-value (Wilcoxon test)",pos=4)
legend(20,.12,lty=2:3,c("Two-sample t-test","Wilcoxon test"), bty="n")



var.test(IQ0,IQ1)
# p=0.0003
var.test(IQ0b,IQ1b)
# p=0.1283



